Index: trunk/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- trunk/contactcenter/inc/class.ui_data.inc.php	(revision 1517)
+++ trunk/contactcenter/inc/class.ui_data.inc.php	(revision 1599)
@@ -1269,9 +1396,23 @@
 							$final[3][$i][1] = $contact['names_ordered'] ? $contact['names_ordered']  : 'none';
 						}
+
+/********/
+
 						$final[3][$i][2] = $contact['companies']['company1']['title']? urldecode( $contact['companies']['company1']['title'] ) :'none';
+
+						//Para exibir a matricula do empregado
+						$final[3][$i][8] = $contact['companies']['company1']['empNumber']?$contact['companies']['company1']['empNumber']:'none';
+						//Para exibir o setor/lotacao do empregado
+						$final[3][$i][9] = $contact['companies']['company1']['department']?$contact['companies']['company1']['department']:'none';
+						//Para exibir o celular empresarial do empregado
+						$final[3][$i][10] = $contact['companies']['company1']['celPhone']?$contact['companies']['company1']['celPhone']:'none';
+
+						//Para exibir o celular empresarial do empregado
+						if ($_SESSION['phpgw_info']['user']['preferences']['contactcenter']['voip_enabled'] && !$external && $final[3][$i][10] != 'none')
+                                                            $final[3][$i][10] = "<a title=\"".lang("Call Mobile")."\" href=\"#\" onclick=\"connectVoip('".$final[3][$i][10]."', 'mob')\">".$final[3][$i][10]."</a>";
 
 						/* Select the correct Email and Telephone to be shown */
 						$preferences = ExecMethod('contactcenter.ui_preferences.get_preferences');
-						
+
 						if (!is_array($preferences))
 						{
@@ -1299,6 +1440,13 @@
 										$default_phone_found = true;
 									}
+
+/**rev 104**/
+									//if ($_SESSION['phpgw_info']['user']['preferences']['contactcenter']['voip_enabled'] && !$external){
+									//	$conn_info['connection_value'] = "<a title=\"".lang("Call Extension")."\" href=\"#\" onclick=\"connectVoip('".$conn_info['connection_value']."', 'ramal')\">".$conn_info['connection_value']."</a>";
+
 									if (!($_SESSION['phpgw_info']['user']['preferences']['contactcenter']['telephone_number'] == $conn_info['connection_value']) && $_SESSION['phpgw_info']['user']['preferences']['contactcenter']['voip_enabled'] && $conn_info['connection_value'] && preg_match('/^\([0-9]{2}\)[0-9]{4}\-[0-9]{4}$/',$conn_info['connection_value'])==1 && !$external){
 										$conn_info['connection_value'] = "<a title=\"".lang("Call Extension")."\" href=\"#\" onclick=\"connectVoip('".$conn_info['connection_value']."', 'com')\">".$conn_info['connection_value']."</a>";
+ 									
+/*****/
 									}
 									$final[3][$i][3] = $conn_info['connection_value'] ? $conn_info['connection_value'] : 'none';
@@ -1306,5 +1454,5 @@
 							}
 						}
-						
+
 						if (!$final[3][$i][3])
 						{
@@ -1320,16 +1468,21 @@
 						$final[3][$i][6] = $ids[$i];
 
-					//	If contact is a public list or a group, then load the forwarding addresses.
+/**rev 104**/
+	/*				//	If contact is a public list, then load the forwarding addresses.
+						if($contact['account_type'][0] == 'l')
+							$final[3][$i][7] = array();
+	*/
+
+						//If contact is a public list or a group, then load the forwarding addresses.
 						if($contact['account_type'][0] == 'l' || $contact['account_type'][0] == 'g')
 							$final[3][$i][7] = ($contact['account_type'][0] == 'l' ? 'list' : 'group');
 							
 						if($this->page_info['actual_catalog']['class']=='bo_shared_people_manager') {
-							$final[3][$i][8] = $perms[$i];
-							$final[3][$i][9] = lang('Shared').": ".$owner_names[$owners[$i]]['cn'];
+							$final[3][$i][11] = $perms[$i];
+							$final[3][$i][12] = lang('Shared').": ".$owner_names[$owners[$i]]['cn'];
 						}
+/******/
 
 						$final[4][$i] = $contact['photo'] ? 1  : 0;
-					//	print_r($final[3][$i]);
-					//	exit;
 						$i++;
 					}
@@ -1338,5 +1491,4 @@
 						// coloca mensagem de erro no vetor que retorna para o browser
 					}
-					
 				}
 				$lnk_compose = "location.href=('../expressoMail1_2/index.php?to=";
@@ -1347,39 +1499,40 @@
 				$final[9] = $count;
 
+
 				$this->page_info['actual_letter'] = $letter;
 				$this->page_info['actual_page'] = $page;
-				
-				$this->save_session();				
+
+				$this->save_session();
 				echo serialize($final);
 				return;
 			}
-			
+
 			$this->page_info['actual_letter'] = $letter;
 			$this->page_info['actual_page'] = $page;
-			
+
 			$this->save_session();
-			
+
 			$final[0] = 0;
 			$final[1] = $this -> typeContact;
 			echo serialize($final);
 		}
-		
+
 		function get_visible_all_ldap()
 		{
 			$bo = CreateObject('contactcenter.bo_ldap_manager');
 			$ldap_query = $bo->srcs;
-			return $ldap_query[1]['visible'];	
+			return $ldap_query[1]['visible'];
 		}
 
- 
+
 		/*!
-		
+
 			@function get_group_data
 			@abstract Returns all the information of a given Group
 			@author Nilton Emilio Buhrer Neto
-			
+
 			@param (integer) $id The id to get information
-		
-		*/		
+
+		*/
 		function get_group_data($id,$shared_from=null)
 		{
@@ -1394,5 +1547,5 @@
 			
 			$boGroup = CreateObject('contactcenter.bo_group');
-						
+
 			$all_contacts = $boGroup->get_all_contacts('only_email',$shared_from);
 			
@@ -1403,23 +1556,27 @@
 				}
 			}
-			$data['contact_list'] = $contact_options;			
-			$data['result'] = 'ok';
-											
+			$data['contact_list'] = $contact_options;
+			$data['result'] = 'ok';								
 			echo serialize($data);			
 		}		
 		
 		/*!
-		
+
 			@function get_full_data
 			@abstract Returns all the information of a given Entry
 			@author Raphael Derosso Pereira
-			
+
 			@param (integer) $id The id to get information
-		
+
 		*/
+/**rev 104**/
+		//function get_full_data($id)
 		function get_full_data($id,$catalog='bo_people_catalog')
 		{
 			$dateformat = $GLOBALS['phpgw_info']['user']['preferences']['common']['dateformat'];
-			$this->bo->catalog = CreateObject('contactcenter.'.$catalog);		
+/**rev 104**/
+			//$this->bo->catalog = CreateObject('contactcenter.bo_people_catalog');
+			$this->bo->catalog = CreateObject('contactcenter.'.$catalog);
+/****/
 			$fields = $this->bo->catalog->get_fields(true);
 			$fields['photo'] = false;
@@ -1454,5 +1611,5 @@
 			}
 			$datecount = 0;
-			
+
 			$data['result'] = 'ok';
 			$data['cc_full_add_contact_id'] = $id;
@@ -1493,5 +1650,6 @@
 				}
 			}
-			
+//			print_r($data);
+//OBSERVAR cc_department
 			/*Corporative*/
 			$data['personal']['cc_name_corporate'] = $entry['corporate_name'];
@@ -1500,8 +1658,8 @@
 			$data['personal']['cc_name_corporate'] = $entry['corporate_name'];
 			$data['personal']['cc_web_page'] = $entry['web_page'];
-			
-			
+
+
 			/* Relations */
-			
+
 			echo serialize($data);
 		}
@@ -1540,26 +1698,26 @@
 				return;
 			}
-			
+
 			echo 0;
 		}
-		
+
 		/*!
-		
+
 			@function quick_add
 			@abstract Adds a new Contact using the Quick Add interface
 			@author Raphael Derosso Pereira
-			
+
 			@param string $sdata Serialized data
 		*/
 		function quick_add($sdata)
 		{
-			
+
 			$sdata = str_replace('\\"', '"', $sdata);
 			$new_array = unserialize($sdata);
 			$tdata = array();
-			
+
 			foreach($new_array as $tmp)
 				$tdata[] = $tmp;
-			
+
 			if (!$tdata)
 			{
@@ -1568,22 +1726,22 @@
 					'status' => 'abort'
 				));
-				
+
 				return;
 			}
-			
-			// verifica se email já existe!
+
+			// verifica se email jï¿œ existe!
 			$boGroup = CreateObject('contactcenter.bo_group');
 			$contact = $boGroup->verify_contact($tdata[4]);
-												
+
 			if($contact)
-			{							
+			{
 				$str_contact = "\r\n - ".implode("\r\n - ",$contact);
-				
+
 				echo serialize(array(
 					'msg'    => lang('Problems on adding your Contact. The email "%1" already exists in: %2',$tdata[4], $str_contact),
 					'status' => 'alreadyExists'
 				));
-				
-				return;			
+
+				return;
 			}
 
@@ -1600,7 +1758,7 @@
 
 			if ($boPeople ->quick_add($data))
-			{				
+			{
 				$this->page_info['changed'] = true;
-				
+
 				echo serialize(array(
 					'msg'    => lang('Entry added with success!'),
@@ -1616,14 +1774,14 @@
 			}
 
-			$this->save_session();	
-			
+			$this->save_session();
+
 		}
 
 		/*!
-		
+
 			@function add_group
 			@abstract Adds a new Group using the Add Group interface
 			@author Nilton Emilio Buhrer Neto
-			
+
 			@param string $sdata Serialized data
 		*/
@@ -1633,5 +1791,5 @@
 			$tdata = unserialize($sdata);
 			$new_tdata = array();
-			
+
 			if (!$tdata)
 			{
@@ -1640,22 +1798,22 @@
 					'status' => 'abort'
 				));
-				
+
 				return;
 			}
-			
+
 			foreach($tdata as $tmp)
 				$new_tdata[] = $tmp;
-			
-			$data['title'] = $new_tdata[0];			
+
+			$data['title'] = $new_tdata[0];
 			$data['contact_in_list'] = $new_tdata[1];
 			$data['id_group'] = $new_tdata[2];
-						
+
 			$boGroup = CreateObject('contactcenter.bo_group_manager');
 			$id = $boGroup -> add_group($data);
-			
+
 			if ($id)
 			{
 				$this->page_info['changed'] = true;
-				
+
 				echo serialize(array(
 					'msg'    => lang('Entry added with success!'),
@@ -1675,14 +1833,14 @@
 
 		/*!
-		
+
 			@function remove_group
 			@abstract Removes a group if the user has the right to do it
-			@author Nilton Emilio Buhrer Neto			
+			@author Nilton Emilio Buhrer Neto
 			@param (integer) $id The id to be removed
-				
+
 		*/
 		function remove_group($id)
-		{				
-				$soGroup = CreateObject('contactcenter.so_group');				
+		{
+				$soGroup = CreateObject('contactcenter.so_group');
 				$data = array ('id_group' => $id);
 				if($soGroup -> delete($data)) {
@@ -1690,5 +1848,5 @@
 						'msg'    => lang('Removed Entry ID '.$id.'!'),
 						'status' => 'ok'
-					));							
+					));
 				}
 				else {
@@ -1699,10 +1857,10 @@
 				}
 
-			$this->save_session();				
+			$this->save_session();
 		}
 
 
 		function remove_all_entries (){
-		
+
 			$error = false;
 			$this->all_entries = $this->bo->catalog->get_all_entries_ids();
@@ -1712,5 +1870,5 @@
 				if(!$result) {
 					$error = true;
-					break;		
+					break;
 				}
 			}
@@ -1721,5 +1879,5 @@
 					'status' => 'ok'
 				));
-			} 
+			}
 			else {
 				echo serialize(array(
@@ -1733,11 +1891,11 @@
 
 		/*!
-		
+
 			@function remove_entry
 			@abstract Removes an entry if the user has the right to do it
 			@author Raphael Derosso Pereira
-			
+
 			@param (integer) $id The id to be removed
-				
+
 		*/
 		function remove_entry ($id)
@@ -1748,8 +1906,8 @@
 				return;
 			}
-			
+
 			$this->page_info['changed'] = true;
 			$result = $this->bo->catalog->remove_single_entry($id);
-			
+
 			if ($result)
 			{
@@ -1758,5 +1916,5 @@
 					unset($this->page_info['actual_entries'][$pos]);
 				}
-				
+
 				$temp = false;
 				reset($this->page_info['actual_entries']);
@@ -1765,5 +1923,5 @@
 					$temp[] = $t;
 				}
-				
+
 				$this->page_info['actual_entries'] = $temp;
 
@@ -1780,11 +1938,11 @@
 				));
 			}
-			
+
 			$this->save_session();
 		}
 
-		
+
 		/*!
-		
+
 			@function post_full_add
 			@abstract Saves all the information altered/entered in the Full Add
@@ -1796,5 +1954,5 @@
 		{
 			$data =  $_POST['data'];
-			// Exceptions!!! utf8 special chars. 
+			// Exceptions!!! utf8 special chars.
 			$data = preg_replace("/\%u2(\d+)(\d+)(\d+)/","-",$data);
 			$data = unserialize(str_replace('\\"', '"', $data));
@@ -1823,5 +1981,5 @@
 					'status' => 'fatal'
 				));
-				
+
 				return;
 			}
@@ -1837,7 +1995,7 @@
 				$id_photo = '_new_';
 			}
-			
-			/* 
-			 * Process Photo, if available 
+
+			/*
+			 * Process Photo, if available
 			 */
 			$sleep_count = 0;
@@ -1856,5 +2014,5 @@
 			}
 			$GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter', array('wait', 'n'));
-			
+
 			if (isset($this->page_info['photos'][$id_photo]))
 			{
@@ -1873,11 +2031,11 @@
 				$this->save_session();
 			}
-			
+
 			/*
 			 * Arrange Date so it gets inserted correctly
 			 */
-			 
+
 			$dateformat = $GLOBALS['phpgw_info']['user']['preferences']['common']['dateformat'];
-		
+
 			$j = 0;
 			for ($i = 0; $i < 5; $i+=2)
@@ -1912,5 +2070,5 @@
 					continue;
 				}
-				
+
 				switch($field)
 				{
@@ -1929,5 +2087,5 @@
 						/* Do Nothing. This is just to make sure no invalid field is passed */
 						break;
-					
+
 					case 'id_status':
 					case 'id_prefix':
@@ -1938,9 +2096,9 @@
 						}
 						break;
-					
+
 					case 'birthdate_0':
 					case 'birthdate_1':
 					case 'birthdate_2':
-					
+
 						switch($date[$datecount]['digit'])
 						{
@@ -1964,5 +2122,5 @@
 							break;
 						}
-						
+
 						if (!checkdate($date['value'][0], $date['value'][1], $date['value'][2]))
 						{
@@ -1973,5 +2131,5 @@
 							return;
 						}
-						
+
 						$data['birthdate'] = $date['value'][2].'-'.$date['value'][0].'-'.$date['value'][1];
 						break;
@@ -1996,5 +2154,5 @@
 							{
 								$index = 'address'.$type;
-								
+
 								$id_state = $this->bo->catalog->add_state($state_info);
 								$data['addresses'][$index]['id_state'] = $id_state;
@@ -2014,5 +2172,5 @@
 							{
 								$index = 'address'.$type;
-								
+
 								$id_city = $this->bo->catalog->add_city($city_info);
 								$data['addresses'][$index]['id_city'] = $id_city;
@@ -2055,5 +2213,5 @@
 				);
 			}
-			
+
 			eval($code);
 
@@ -2074,5 +2232,5 @@
 		{
 			$data =  $_POST['data'];
-			// Exceptions!!! utf8 special chars. 
+			// Exceptions!!! utf8 special chars.
 			$data = preg_replace("/\%u2(\d+)(\d+)(\d+)/","-",$data);
 			$data = unserialize(str_replace('\\"', '"', $data));
@@ -2101,5 +2259,5 @@
 					'status' => 'fatal'
 				));
-				
+
 				return;
 			}
@@ -2121,6 +2279,6 @@
 				unset($data['owner']);
 			}
-			/* 
-			 * Process Photo, if available 
+			/*
+			 * Process Photo, if available
 			 */
 			$sleep_count = 0;
@@ -2139,5 +2297,5 @@
 			}
 			$GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter', array('wait', 'n'));
-			
+
 			if (isset($this->page_info['photos'][$id_photo]))
 			{
@@ -2156,11 +2314,11 @@
 				$this->save_session();
 			}
-			
+
 			/*
 			 * Arrange Date so it gets inserted correctly
 			 */
-			 
+
 			$dateformat = $GLOBALS['phpgw_info']['user']['preferences']['common']['dateformat'];
-		
+
 			$j = 0;
 			for ($i = 0; $i < 5; $i+=2)
@@ -2195,5 +2353,5 @@
 					continue;
 				}
-				
+
 				switch($field)
 				{
@@ -2208,5 +2366,5 @@
 						/* Do Nothing. This is just to make sure no invalid field is passed */
 						break;
-					
+
 					case 'id_status':
 					case 'id_prefix':
@@ -2217,9 +2375,9 @@
 						}
 						break;
-					
+
 					case 'birthdate_0':
 					case 'birthdate_1':
 					case 'birthdate_2':
-					
+
 						switch($date[$datecount]['digit'])
 						{
@@ -2243,5 +2401,5 @@
 							break;
 						}
-						
+
 						if (!checkdate($date['value'][0], $date['value'][1], $date['value'][2]))
 						{
@@ -2252,5 +2410,5 @@
 							return;
 						}
-						
+
 						$data['birthdate'] = $date['value'][2].'-'.$date['value'][0].'-'.$date['value'][1];
 						break;
@@ -2275,5 +2433,5 @@
 							{
 								$index = 'address'.$type;
-								
+
 								$id_state = $this->bo->catalog->add_state($state_info);
 								$data['addresses'][$index]['id_state'] = $id_state;
@@ -2293,5 +2451,5 @@
 							{
 								$index = 'address'.$type;
-								
+
 								$id_city = $this->bo->catalog->add_city($city_info);
 								$data['addresses'][$index]['id_city'] = $id_city;
@@ -2334,5 +2492,5 @@
 				);
 			}
-			
+
 			eval($code);
 
@@ -2349,5 +2507,5 @@
 }
 		/*!
-		
+
 			@function post_photo
 			@abstract Wrapper to post a photo without reload a page.
@@ -2359,10 +2517,10 @@
 			//print_r($_FILES);
 			$GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter', array('wait', 'y'));
-			
+
 			if (!is_array($_FILES) and is_array(!$_FILES['cc_pd_photo']))
 			{
 				$this->page_info['photos'][$id]['status'] = 'no_upload';
 				$this->page_info['photos'][$id]['msg'] = lang('No Photos uploaded to Server.');
-				
+
 				$this->save_session();
 				$GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter', array('ok', 'y'));
@@ -2374,5 +2532,5 @@
 				$this->page_info['photos'][$id]['status'] = 'no_GD_lib';
 				$this->page_info['photos'][$id]['msg'] = lang('Cannot manipulate Image. No Image added. Please, if you want to use images, ask the Administrator to install GD library.');
-				
+
 				$this->save_session();
 				$GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter', array('ok', 'y'));
@@ -2400,5 +2558,5 @@
 				return;
 			}
-			
+
 			switch($_FILES['cc_pd_photo']['type'])
 			{
@@ -2430,5 +2588,5 @@
 
 				default:
-					
+
 					$this->page_info['photos'][$id]['status'] = 'invalid_image';
 					$this->page_info['photos'][$id]['msg'] = lang('The file must be an JPEG, PNG or GIF Image.');
@@ -2443,23 +2601,23 @@
 					$this->page_info['photos'][$id]['status'] = 'invalid_file';
 					$this->page_info['photos'][$id]['msg'] = lang('Couldn\'t open Image. It may be corrupted or internal library doesn\'t support this format.');
-					
+
 					$this->save_session();
 					$GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter', array('ok', 'y'));
 					return;
 			}
-			
+
 			$img_size = getimagesize($_FILES['cc_pd_photo']['tmp_name']);
 			$dst_img = imagecreatetruecolor(60, 80);
-			
+
 			if (!imagecopyresized($dst_img, $src_img, 0, 0, 0, 0, 60, 80, $img_size[0], $img_size[1]))
 			{
 				$this->page_info['photos'][$id]['status'] = 'invalid_file';
 				$this->page_info['photos'][$id]['msg'] = lang('Couldn\'t open Image. It may be corrupted or internal library doesn\'t support this format.');
-				
+
 				$this->save_session();
 				$GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter', array('ok', 'y'));
 				return;
 			}
-			
+
 			ob_start();
 			imagepng($dst_img);
@@ -2471,5 +2629,5 @@
 
 			$this->save_session();
-		
+
 			$GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter', array('ok', 'y'));
 
@@ -2492,5 +2650,5 @@
 			$fields = $this->bo->catalog->get_fields(false);
 			$fields['photo'] = true;
-			
+
 			$contact = $this->bo->catalog->get_single_entry($id, $fields);
 
@@ -2501,5 +2659,5 @@
 				return;
 			}
-			
+
 			header('Content-type: image/jpeg');
 			$photo = imagecreatefromstring ($contact['photo']);
@@ -2513,7 +2671,7 @@
 			return;
 		}
-		
+
 		/*!
-		
+
 			@function get_states
 			@abstract Echos a serialized array containing all the states for the given country
@@ -2537,10 +2695,10 @@
 				return;
 			}
-			
+
 			$result = array(
 				'msg'    => lang('States Successfully retrieved!'),
 				'status' => 'ok'
 			);
-			
+
 			foreach ($states as $state_info)
 			{
@@ -2581,15 +2739,15 @@
 				return;
 			}
-			
+
 			$result = array(
 				'msg'    => lang('Cities Successfully retrieved!'),
 				'status' => 'ok'
 			);
-			
+
 			foreach ($cities as $city_info)
 			{
 				$result['data'][$city_info['id_city']] = $city_info['name'];
 			}
-			
+
 			echo serialize($result);
 		}
@@ -2597,10 +2755,10 @@
 
 		/*!
-		
+
 			@function search
 			@abstract Echos a serialized array containing the IDs
 				of the entries that matches the search argument
 			@author Raphael Derosso Pereira
-			@author Mário César Kolling (external catalogs)
+			@author Mï¿œrio Cï¿œsar Kolling (external catalogs)
 
 			@param string $str_data A serialized array with two informations:
@@ -2617,16 +2775,16 @@
 			// It's an external catalog?
 			$external = $this->bo->is_external($this->page_info['actual_catalog']);
-			
-            if (!is_array($data) || !$data['search_for'] || !is_array($data['fields']))
-            {
-                echo serialize(array(                                                                                                   
-                   'msg'    => lang('Invalid parameters'),                                                                             
-                    'status' => 'abort'
-                ));
-            
-                return array('error' => lang('Invalid parameters'));                                                                                                                 
-            }   
-
-            
+
+			if (!is_array($data) || !$data['search_for'] || !is_array($data['fields']))
+			{
+				echo serialize(array(
+					'msg'    => lang('Invalid parameters'),
+					'status' => 'abort'
+				));
+
+				return array('error' => lang('Invalid parameters'));
+			}
+
+
 			/*
 			 * TODO: look into the database to discover the database's encoding and convert the search_for field accordingly
@@ -2634,42 +2792,47 @@
 			// Support search parameters with accentuation
 			if ($this->page_info['actual_catalog']['class'] != 'bo_people_catalog' &&
+/**rev 104**/
+				//$this->page_info['actual_catalog']['class'] != 'bo_group_manager')
 				$this->page_info['actual_catalog']['class'] != 'bo_group_manager' &&
 				$this->page_info['actual_catalog']['class'] != 'bo_shared_people_manager' &&
 				$this->page_info['actual_catalog']['class'] != 'bo_shared_group_manager')
+/****/
 			{
 
 				$data['search_for'] = utf8_encode($data['search_for']);
 			}
-            
-            $rules  = array();                                                                                                          
-            
-            
-            if ($data['search_for'] === '*')                                                                                            
-            {
-                $rules = array(                                                                                                         
-                    0 => array(                                                                                                         
-                        'field' => $data['fields']['search'],                                                                           
-                        'type'  => 'LIKE',
-                        'value' => '%'
-                    )   
-                );  
-            }   
-            else                                                                                                                        
-            {
-                $names = explode(' ', $data['search_for']);                                                                             
-                
-                if (!is_array($names))                                                                                                  
-                {
-                    echo serialize(array(                                                                                               
-                        'msg'    => lang('Invalid Search Parameter'),                                                                   
-                        'status' => 'abort'
-                    ));
- 
-                }
+
+			$rules  = array();
+
+			if ($data['search_for'] === '*')
+			{
+				$rules = array(
+					0 => array(
+						'field' => $data['fields']['search'],
+						'type'  => 'LIKE',
+						'value' => '%'
+					)
+				);
+			}
+			else
+			{
+				$names = explode(' ', $data['search_for']);
+
+				if (!is_array($names))
+				{
+					echo serialize(array(
+						'msg'    => lang('Invalid Search Parameter'),
+						'status' => 'abort'
+					));
+
+				}
 
 				if (!$external && $this->page_info['actual_catalog']['class'] != 'bo_people_catalog' &&
+/**rev 104**/
+					//$this->page_info['actual_catalog']['class'] != 'bo_group_manager')
 					$this->page_info['actual_catalog']['class'] != 'bo_group_manager' &&
-					$this->page_info['actual_catalog']['class'] != 'bo_shared_people_manager' &&					
+					$this->page_info['actual_catalog']['class'] != 'bo_shared_people_manager' &&
 					$this->page_info['actual_catalog']['class'] != 'bo_shared_group_manager' )
+/*****/
 				{
 					/*
@@ -2688,29 +2851,45 @@
 							'value' => '%'
 						),
+/**rev 104**/
+						///
+						//1 => array(
 						2 => array(
+/*****/
 							'field' => 'contact.account_visible',
 							'type'  => '!=',
 							'value' => '-1'
+/**rev 104**/
+	/*					),
+						2 => array(
+							'field' => 'contact.object_class',
+							'type'  => '=',
+							'value' => 'inetOrgPerson'
+/****/
 						),
 					);
 				}
-                
-                foreach ($names as $name)
-                {
-                    if ($name != '')
-                    {
-                        array_push($rules, array(
-                            'field' => $data['fields']['search'],
-                            'type'  => 'iLIKE',
-                            'value' => '%'.$name.'%'
-                        ));
-                    }
-                }
-            }
+
+				foreach ($names as $name)
+				{
+					if ($name != '')
+					{
+						array_push($rules, array(
+							'field' => $data['fields']['search'],
+							'type'  => 'iLIKE',
+							'value' => '%'.$name.'%'
+						));
+					}
+				}
+			}
 
 			if ($external || $this->page_info['actual_catalog']['class'] == 'bo_people_catalog' ||
+/**rev 104**/
+				//$this->page_info['actual_catalog']['class'] == 'bo_group_manager')
 				$this->page_info['actual_catalog']['class'] == 'bo_group_manager' ||
 				$this->page_info['actual_catalog']['class'] == 'bo_shared_people_manager' ||
-				$this->page_info['actual_catalog']['class'] == 'bo_shared_group_manager'	)
+				$this->page_info['actual_catalog']['class'] == 'bo_shared_group_manager')
+
+
+/***/
 			{
 				// Get only this attributes: dn, cn for external catalogs,
@@ -2728,29 +2907,34 @@
 					//'contact.account_status',
 					'contact.account_visible'
-					), $rules, array('order' => $data['fields']['search'], 'sort' => 'ASC'));
-			}
-
-            if (!is_array($ids) || !count($ids))
-            {
+					), $rules, array('order' => $data['fields']['search'], 'sort' => 'ASC'), $data['search_for_area'] );
+			}
+
+			if (!is_array($ids) || !count($ids))
+			{
 				$this->last_search_ids = null;
 				$this->save_session();
 				return null;
-            }
-
-            $id_field = substr($data['fields']['id'], strrpos($data['fields']['id'], '.')+1);
-			
-            $ids_f = array();
-
-            foreach ($ids as $e_info)
-            {
+			}
+
+			$id_field = substr($data['fields']['id'], strrpos($data['fields']['id'], '.')+1);
+
+			$ids_f = array();
+
+			foreach ($ids as $e_info)
+			{
+/**rev 104**/
+				//$ids_f[] = $e_info[$id_field];
 				if($this->page_info['actual_catalog']['class'] != 'bo_shared_people_manager' && $this->page_info['actual_catalog']['class'] != 'bo_shared_group_manager')
-                	$ids_f[] = $e_info[$id_field];
-                else
-                	$ids_f[] = array(0=>$e_info[$id_field],1=>$e_info['perms']);
-            }
+				{
+					$ids_f[] = $e_info[$id_field];
+				} else{
+					$ids_f[] = array(0=>$e_info[$id_field],1=>$e_info['perms']);
+				}
+/****/
+			}
 
 			return $ids_f;
 		}
-		
+
 		// CELEPAR
 		/*
@@ -2791,8 +2975,8 @@
                         'status' => 'abort'
                     ));
-                    
+
                     return;
                 }
-                
+
                 foreach ($names as $name)
                 {
@@ -2808,8 +2992,8 @@
             }
 
-            
-            
+
+
             //$catalog = $this->bo->get_branch_by_level($this->bo->catalog_level[0]);
-            
+
             //if ($catalog['class'] === 'bo_people_catalog')
             //{
@@ -2820,6 +3004,6 @@
             //    ));
             //}
-            
-            
+
+
             $ids = $this->bo->find(array($data['fields']['id'], $data['fields']['search']), $rules, array('order' => $data['fields']['search'], 'sort' => 'ASC'));
 
@@ -2846,5 +3030,5 @@
                 'status' => 'ok'
             ));
-			
+
 			return;
         }*/
@@ -2856,5 +3040,5 @@
 			@author Raphael Derosso Pereira
 
-			@param array str_data A serialized array containing the ID's of the entries 
+			@param array str_data A serialized array containing the ID's of the entries
 				to be taken, the fields to be taken and the rules to be used on the
 				retrieval:
@@ -2869,5 +3053,5 @@
 		{
 			$data = unserialize($str_data);
-			
+
 			if (!is_array($data) or !count($data) or !count($data['fields']) or !count($data['ids']))
 			{
@@ -2879,5 +3063,5 @@
 
 			$entries = $this->bo->catalog->get_multiple_entries($data['ids'], $data['fields']);
-			
+
 			if (!is_array($entries) or !count($entries))
 			{
@@ -2898,9 +3082,9 @@
 
 			@function get_all_entries
-			@abstract Returns the specified fields for all catalog's entries 
+			@abstract Returns the specified fields for all catalog's entries
 				in the default CC UI format
 			@author Raphael Derosso Pereira
 
-			@params array str_data A serialized array containing the fields to 
+			@params array str_data A serialized array containing the fields to
 				be grabbed, the maximum number of entries to be returned and a
 				boolean specifying if the calls refers to a new grab or to an
@@ -2911,8 +3095,8 @@
 		{
 			$data = unserialize($str_data);
-			
-			if (!is_array($data) or 
-			    !count($data) or 
-				!count($data['fields']) or 
+
+			if (!is_array($data) or
+			    !count($data) or
+				!count($data['fields']) or
 				!$data['maxlength'] or
 				(!$data['new'] and !$data['offset']))
@@ -2940,5 +3124,5 @@
 				$data['offset'] = 0;
 			}
-			
+
 			if ($data['maxlength'] != -1)
 			{
@@ -2951,5 +3135,5 @@
 
 			$prefs = ExecMethod('contactcenter.ui_preferences.get_preferences');
-			
+
 			$jsCode = array();
 			$count = 0;
@@ -2961,21 +3145,21 @@
 				}
 
-				if($this-> typeContact == 'groups') {				
-					
+				if($this-> typeContact == 'groups') {
+
 					foreach ($each as $field => $value)	{
-										
+
 						if ($field === 'title')	{
 							$optionName = '\\"'.$value.'\\"';
-							 
+
 						}
 						else if ($field === 'short_name')	{
-							
+
 							$jsCode[] = '_this.entries.options[_this.entries.options.length] = new Option("'.$optionName.' ('.$value.')", "'.$count.'");';
-							$count++;																					
-						}					
+							$count++;
+						}
 					}
 				}
-				
-				else  {	
+
+				else  {
 					foreach ($each as $field => $value)	{
 						if ($field === 'names_ordered')	{
@@ -2985,5 +3169,5 @@
 						}
 						else if ($field === 'connections')	{
-							
+
 							foreach ($value as $connection)		{
 								if ($connection['id_type'] == $prefs['personCardEmail'])	{
@@ -2998,7 +3182,7 @@
 
 			$jsCodeFinal = implode("\n", $jsCode);
-			
+
 			$nEntries = count($result);
-			
+
 			if (!$nEntries)
 			{
@@ -3018,5 +3202,5 @@
 			);
 		}
-		
+
 		/*********************************************************************\
 		 *                      Auxiliar Methods                             *
@@ -3024,9 +3208,9 @@
 
 		/*!
-		
+
 			@function save_session
 			@abstract Saves the data on the session
 			@author Raphael Derosso Pereira
-		
+
 		*/
 		function save_session()
@@ -3037,10 +3221,10 @@
 
 		/*!
-		
+
 			@function convert_tree
 			@abstract Converts the tree array in the BO format to a JS tree array compatible
 				with the one available in eGW
 			@author Raphael Derosso Pereira
-		
+
 			@param (array)  $tree    The tree in the BO format
 			@param (string) $name    The tree name
@@ -3076,5 +3260,5 @@
 					'caption' => $value['name']
 				);
-				
+
 				switch($value['type'])
 				{
